Bug 102446 - CPU Detail Above 100% for Double Itanium
CPU Detail Above 100% for Double Itanium
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sysstat (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 03:54 EDT by Bernard Guillot
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 11:15:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernard Guillot 2003-08-15 03:54:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
On a Double 1.0 Ghz Itanium when running 

iostat (with/out -x ) get %idle and %user %sys well above 100%, up to 600% for
idle and user.

Extract
avg-cpu:  %user   %nice    %sys   %idle
         461.60    0.00  129.00  433.40

Device:        tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
dev8-0       71.20        86.40      2243.20        432      11216
dev8-1        0.00         0.00         0.00          0          0

All My Other Redhat (9.0) run systat 4.0.7 and provide correct information even
on multiple CPU (Xeon).



Version-Release number of selected component (if applicable):
sysstat-4.0.1-2

How reproducible:
Always

Steps to Reproduce:
1. iostat
2.
3.
    

Actual Results:  avg-cpu:  %user   %nice    %sys   %idle
         461.60    0.00  129.00  433.40

Device:        tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
dev8-0       71.20        86.40      2243.20        432      11216
dev8-1        0.00         0.00         0.00          0          0


Expected Results:  User and Idle to be either under 100% (combine CPU) or under
200% (added)

Additional info:

Double Itanium HP 2 Gig Ram

kernel-2.4.18-e.31
kernel-smp-2.4.18-e.31
Comment 1 Bernard Guillot 2004-03-01 22:42:11 EST
After Upgrading To Latest Kernel and Patches as of 2004-Mar-2. 
I still have the Same Problem.

I run only two type of application on this server.

1) Java Application (JDK From Sun)
2) Browser Mozilla

I have stop most services to ensure that none are creating the problem.

I can now run the server longer but still with smaller memory leak.
Comment 2 Charlie Bennett 2004-09-30 14:59:06 EDT
We believe this is fixed by sysstat-5.0.5.  If you can check this out
with the copy available at http://people.redhat.com/ccb/sysstat your
feedback would be much appreciated.
Comment 3 Charlie Bennett 2005-02-02 11:15:08 EST
I'm marking this as fixed in Update 6.  Please reopen if you continue
to have trouble.

Note You need to log in before you can comment on or make changes to this bug.